Bug 36919 - mysql daemon won't start
mysql daemon won't start
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-20 18:54 EDT by Joseph S. Berrios
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-20 19:40:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph S. Berrios 2001-04-20 18:54:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2smp i686)


When I try to run the command 'safe_mysqld' in my system, it terminates and
the daemon does not get to start.

Reproducible: Always
Steps to Reproduce:
1.Type in the command prompt:  safe_mysqld &
2.
3.
	

Actual Results:  Starting mysqld daemon with databases from /var/lib/mysql
010420 18:46:53  mysqld ended


Expected Results:  I expect to get the mysqld up and running
Comment 1 Trond Eivind Glomsrxd 2001-04-20 19:19:34 EDT
"/etc/init.d/mysqld start" or "service mysqld start"
Comment 2 Joseph S. Berrios 2001-04-20 19:40:08 EDT
after I execute the command:  "/etc/init.d/mysqld start"
I get the following message:  
Starting MySQL:                                            [  OK  ]

if I try to test if the daemon is running, I type the following command:
 "ps -aux | grep mysql"

I get the following response:
root      2515  0.0  0.0  1620  600 pts/4    S    19:30   0:00 grep mysql


Also if I try to execute:  "mysqladmin -u root -p password 'new-password'"
I get the following output:

Enter password: 
mysqladmin: connect to server at 'localhost' failed
error: 'Can't connect to local MySQL server through socket
'/var/lib/mysql/mysql.sock' (111)'
Check that mysqld is running and that the socket: '/var/lib/mysql/mysql.sock'
exists!


Comment 3 Trond Eivind Glomsrxd 2001-04-23 10:29:18 EDT
This does not occur in a fresh, non-configured install, so it's likely you've
done some misconfiguration.

Move your configuration files out of the way, and if this doesn't work, move
your databases (make sure /var/lib/mysql/ is empty) and start again. Then work
your way up until you see what's not working.

Note You need to log in before you can comment on or make changes to this bug.